<?
	$plik = $_GET['plik'];
	$max_szerokosc = $_GET['w'];
	$max_wysokosc = $_GET['h'];
	
	list($szerokosc, $wysokosc, $image_type) =  getimagesize($plik);
	$result_array = getimagesize($plik);
	
	if ($result_array['mime'] == "image/jpeg") {
		$image = imagecreatefromjpeg($plik);
	}
	else if ($result_array['mime'] == 'image/png') {
		$image = imagecreatefrompng($plik);
	}
	else if ($result_array['mime'] == "image/gif") {
		$image = imagecreatefromgif($plik);;
	}
	
	$ratio_orig = $szerokosc/$wysokosc;

	if ($max_szerokosc/$max_wysokosc > $ratio_orig) {
   	$max_szerokosc = $max_wysokosc*$ratio_orig;
	} else {
   	$max_wysokosc = $max_szerokosc/$ratio_orig;
	}

	$image_p = imagecreatetruecolor($max_szerokosc, $max_wysokosc);
	imagecopyresampled($image_p, $image, 0, 0, 0, 0, $max_szerokosc, $max_wysokosc, $szerokosc, $wysokosc);

	header("Content-type: image/jpeg");
	imagejpeg($image_p, $docelowa);
?>
